Bug 1008045 - RFE: [exportfs] if specify Invalid exporting option, output usage to user.
RFE: [exportfs] if specify Invalid exporting option, output usage to user.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils (Show other bugs)
7.0
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
: FutureFeature
Depends On:
Blocks: 1008046 1008047
  Show dependency treegraph
 
Reported: 2013-09-13 20:01 EDT by Yin.JianHong
Modified: 2017-05-01 23:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1008046 1008047 (view as bug list)
Environment:
Last Closed: 2013-12-11 15:30:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-09-13 20:01:21 EDT
Description of problem:
RFE: [exportfs] if specify Invalid exporting option, output usage to user.

Version-Release number of selected component (if applicable):
[root@dhcp12-185 ~]# lsb_release -sir; rpm -q nfs-utils
RedHatEnterpriseServer 7.0
nfs-utils-1.2.8-2.0.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. exportfs  '*/home'
2. just output error info, not give usage info to user.
3.

Actual results:
[root@dhcp12-185 ~]# res=$(exportfs  '*/home' 2>&1 -x)
[root@dhcp12-185 ~]# echo $? $res
1 exportfs: invalid option -- 'x' usage: exportfs [-afhioruv] [host:/path]

[root@dhcp12-185 ~]# res=$(exportfs  '*/home' 2>&1 )
[root@dhcp12-185 ~]# echo $? $res
0 exportfs: Invalid exporting option: */home <<<--- should output usage also.

Expected results:


Additional info:
Comment 1 Yin.JianHong 2013-09-13 20:10:48 EDT
[root@dhcp12-185 ~]# exportfs -u '*/home'
exportfs: Invalid unexporting option: */home
[root@dhcp12-185 ~]# exportfs  '*/home'
exportfs: Invalid exporting option: */home
Comment 3 Steve Dickson 2013-12-11 15:30:44 EST
It does for me

$ sudo exportfs  '*/home'
exportfs: Invalid exporting option: */home
Comment 4 Yongcheng Yang 2017-05-01 23:54:17 EDT
Changing to be WONTFIX the same as rhel-6 (Bug 1008046 Comment 4) and rhel-5 (Bug 1008047 Comment 3) do.

Note You need to log in before you can comment on or make changes to this bug.